ORG.NVMEXPRESS.STAC.DEBUG(5)

NAME
org.nvmexpress.stac.debug - DBus interface

METHODS

process_info    (OUT s info_json);
controller_info (IN  s transport,
                 IN  s traddr,
                 IN  s trsvcid,
                 IN  s subsysnqn,
                 IN  s host_traddr,
                 IN  s host_iface,
                 IN  s host_nqn,
                 OUT s info_json);

PROPERTIES

    tron       readwrite  b
    log_level  readable   s

DESCRIPTION

METHOD DETAILS

  The process_info() method

    process_info (OUT s info_json);

OUT s info_json:

  The controller_info() method

    controller_info (IN  s transport,
                     IN  s traddr,
                     IN  s trsvcid,
                     IN  s subsysnqn,
                     IN  s host_traddr,
                     IN  s host_iface,
                     IN  s host_nqn,
                     OUT s info_json);

IN s transport:

IN s traddr:

IN s trsvcid:

IN s subsysnqn:

IN s host_traddr:

IN s host_iface:

IN s host_nqn:

OUT s info_json:

PROPERTY DETAILS

  The tron" property"

    tron  readwrite  b

  The log_level" property"

    log_level  readable   s